package com.persagy.server.labsl.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 锚点
 *
 * @author wx
 */
@ApiModel(description = "锚点")
@Table(name = "lbsl.anchor")
open class Anchor : SBaseEntity(), Serializable {

    /** 全局id */
    @ApiModelProperty(value = "全局id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 锚点id */
    @ApiModelProperty(value = "锚点id")
    @Id
    @Column(name = "anchor_id")
    @JSONField(name = "AnchorId")
    var anchorId: String? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Column(name = "graph_id")
    @JSONField(name = "GraphId")
    var graphId: String? = null

    /** 图例节点 */
    @ApiModelProperty(value = "图例节点")
    @Column(name = "node_id")
    @JSONField(name = "NodeId")
    var nodeId: String? = null

    /** 锚点的坐标 */
    @ApiModelProperty(value = "锚点的坐标")
    @Column(name = "pos")
    @JSONField(name = "Pos")
    var pos: Pos? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 图状态（1一般，2待审核，3审核完成，0发布） */
    @ApiModelProperty(value = "图状态（1一般，2待审核，3审核完成，4回收站 ,0发布）")
    @Column(name = "state")
    @JSONField(name = "State")
    var state: Int? = 1

} // Class Anchor