package com.persagy.server.labsl.models.entities.pub

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图例节点与对象的关系
 *
 * @author  wx
 * @date  2020/9/17 16:35
 */
@ApiModel(description = "图例节点与对象的关系")
@Table(name = "lbsl.attach_object_ids_pub")
class AttachObjectIdsPub : SBaseEntity(), Serializable {

    /** 全局id */
    @ApiModelProperty(value = "全局id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 图例节点id */
    @ApiModelProperty(value = "图例节点id",required = true )
    @Id
    @Column(name = "node_id")
    @JSONField(name = "NodeId")
    var nodeId: String? = null

    /** 对象id */
    @ApiModelProperty(value = "对象id",required = true )
    @Id
    @Column(name = "object_id")
    @JSONField(name = "ObjectId")
    var objectId: String? = null

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Column(name = "graph_id")
    @JSONField(name = "GraphId")
    var graphId: String? = null

    /** 图状态（1一般，2待审核，3审核完成，0发布） */
    @ApiModelProperty(value = "图状态（1一般，2待审核，3审核完成，4回收站 ,0发布）")
    @Column(name = "state")
    @JSONField(name = "State")
    var state: Int? = 1


} // Class AttachObjectIds