package com.persagy.server.meiku.models.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import java.io.Serializable
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 图库-美库
 * @author  wx
 * @date  2020/9/21 10:45
 */
@ApiModel(description = "锚点")
@Table(name = "labsl_meiku.meiku")
class MeiKu : Serializable, SBaseEntity() {

    /** 图id */
    @ApiModelProperty(value = "图id")
    @Id
    @Column(name = "id")
    @JSONField(name = "Id")
    var id: String? = null

    /** 分类 */
    @ApiModelProperty(value = "分类")
    @Column(name = "category")
    @JSONField(name = "Category")
    var category: String? = null

    /** 默认图Key */
    @ApiModelProperty(value = "默认图Key")
    @Column(name = "pic")
    @JSONField(name = "Pic")
    var pic: String? = null

    /** 品牌 */
    @ApiModelProperty(value = "品牌")
    @Column(name = "brand")
    @JSONField(name = "Brand")
    var brand: String? = null

    /** 型号 */
    @ApiModelProperty(value = "型号")
    @Column(name = "specification")
    @JSONField(name = "Specification")
    var specification: String? = null

    /** 锚点列表 */
    @ApiModelProperty(value = "锚点列表")
    @JSONField(name = "AnchorList")
    var anchorList: ArrayList<MeiKuAnchor>? = null

    @ApiModelProperty(value = "状态")
    @JSONField(name = "State")
    var state: MeiKuState? = null

} // Class MeiKu